<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css">
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">

    <h1>Lista com v-for: diretamente em elementos</h1>
    <ul>
      <li v-for="(cor, i) in cores">{{ i + 1 }}) Índice {{ i }} no array - {{ cor }}</li>
    </ul>

    <h1>Lista com v-for: em conjunto com agrupador não renderizado (template element)</h1>
    <template v-for="(cor, i) in cores">
      <h2>{{ i + 1}}) Índice {{ i }} no array</h2>
      <p>Cor: {{ cor }}</p>
    </template>

    <h1>Lista com v-for: em conjunto com agrupador renderizado</h1>
    <div v-for="(cor, i) in cores">
      <h2>{{ i + 1}}) Índice {{ i }} no array</h2>
      <p>Cor: {{ cor }}</p>
    </div>

  </div>
  <script src="app.js"></script>
</body>

</html>